resource {
	position: relative;
	padding: 4px;
    vertical-align: middle;
    text-align: center;
    display: table-cell;
}

/*resource:before{
	content: "";
	display: block;
	padding-top: 100%;
}
*/
.resource-card {
	display: table;
	width: 100%;
	height: 100%;

	box-sizing: border-box;

	padding: 4px;
}

.resource-card .resource {
	display: table-cell;
	text-align: center;
	vertical-align: middle;
	color: white
}

.resource {
	background-size: contain !important;
	background-repeat: no-repeat !important;
	background-position: center !important;
}

.resource-actuator {
	background: url('actuator.png');
}
.resource-battery {
	background: url('battery.png');
}
.resource-chip {
	background: url('chip.png');
}
.resource-cog {
	background: url('cog.png');
}
.resource-motor {
	background: url('motor.png');
}

.resource span {
	font-weight: bold;
	font-size: 1.5em;
}